Add a pointer from the priority-group back to the multipath context.

[Kevin Corry]
--- diff/drivers/md/dm-mpath.c	2004-01-16 14:36:29.000000000 +0000
+++ source/drivers/md/dm-mpath.c	2004-01-16 14:37:04.000000000 +0000
@@ -41,6 +41,7 @@
 	struct list_head list;
 
 	unsigned priority;
+	struct multipath *m;
 	struct path_selector *ps;
 	struct list_head valid_paths;
 	struct list_head invalid_paths;
@@ -497,6 +498,7 @@
 			break;
 
 	list_add_tail(&pg->list, &tmp->list);
+	pg->m = m;
 
 	/* FIXME: remove debug later */
 	__check_ordered(&m->priority_groups);
